Package org.bukkit.block.data.type

# Interface Gate

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Openable`, `Powerable`

public interface Gate extends Directional, Openable, Powerable
'in_wall" indicates if the fence gate is attached to a wall, and if true the texture is lowered by a small amount to blend in better.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInWall()`
Gets the value of the 'in_wall' property.
`void`
`setInWall(boolean inWall)`
Sets the value of the 'in_wall' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Openable

`isOpen, setOpen`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### isInWall

boolean isInWall()
Gets the value of the 'in_wall' property.

Returns:
  the 'in_wall' value

### setInWall

void setInWall(boolean inWall)
Sets the value of the 'in_wall' property.

Parameters:
  `inWall` - the new 'in_wall' value